synapse-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chanaka Udaya Kumara Fernando <chanaka.leaders...@gmail.com>
Subject Re: Synpase 3.0 Java 8 support
Date Thu, 29 Dec 2016 02:06:16 GMT
Hi Asanka,

I got the same error. Then I updated the JCE unlimited policy extensions as
Vanji suggested and it passed the build.

Thanks,
Chanaka

On Thu, Dec 29, 2016 at 7:30 AM, Vanjikumaran Sivajothy <
vanjikumaran@gmail.com> wrote:

> Do you have the JCE installed ?
>
> On Wed, Dec 28, 2016 at 5:57 PM, Asanka Dissanayake <asankanbd@gmail.com>
> wrote:
>
>> These are the failed tests..
>>
>>
>> Results :
>>
>>
>> Failed tests:   testCreateFaultAndChangeDirect
>> ion(org.apache.synapse.samples.framework.tests.message.Sample5): Did not
>> receive expected error
>>
>>   testWSSecurity(org.apache.synapse.samples.framework.tests.qos.Sample100):
>> Client did not run successfully
>>
>>   testServiceIntegration(org.apache.synapse.samples.framework.tests.proxy.Sample156):
>> Client did not get run successfully
>>
>>   testCallOutSecurity(org.apache.synapse.samples.framework.tests.advanced.Sample431):
>> Client did not run successfully
>>
>>   testCallOutSecurityWithDifferentPoliciesForInboundAndOutboun
>> d(org.apache.synapse.samples.framework.tests.advanced.Sample432): Client
>> did not run successfully
>>
>>
>>
>> On Wed, Dec 28, 2016 at 8:36 PM, Vanjikumaran Sivajothy <
>> vanjikumaran@gmail.com> wrote:
>>
>>> Asanka,
>>>
>>> Can you please share the error?
>>> I just build with test on
>>>
>>> Apache Maven 3.3.9 (bb52d8502b132ec0a5a3f4c09453c07478323dc5;
>>> 2015-11-10T08:41:47-08:00)
>>> Maven home: /usr/local/Cellar/maven/3.3.9/libexec
>>> Java version: 1.8.0_92, vendor: Oracle Corporation
>>> Java home: /Library/Java/JavaVirtualMachines/jdk1.8.0_92.jdk/Contents/H
>>> ome/jre
>>> Default locale: en_US, platform encoding: UTF-8
>>> OS name: "mac os x", version: "10.11.6", arch: "x86_64", family: "mac"
>>>
>>>
>>>
>>>
>>> ‚Äč
>>>
>>>
>>> On Wed, Dec 28, 2016 at 5:11 PM, Asanka Dissanayake <asankanbd@gmail.com
>>> > wrote:
>>>
>>>> Hi Devs,
>>>> Does Synapse 3.0 supports JAVA 8 ? I was trying to build with JDK 8 and
>>>> got some errors (Test Failures)
>>>>
>>>>
>>>> Thanks,
>>>> Asanka
>>>>
>>>
>>>
>>>
>>> --
>>> Best Regards,
>>> Vanji
>>>
>>
>>
>
>
> --
> Best Regards,
> Vanji
>

Mime
View raw message